/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: AcknowledgeAction.java 5904 2010-01-13 12:58:45Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.notification.actions.impl;

import org.ow2.jasmine.event.beans.JasmineEventNotification;
import org.ow2.jasmine.monitoring.eos.notification.actions.api.AbstractAcknowledgeAction;
import org.ow2.jasmine.monitoring.eos.notification.actions.exchange.ActionResult;
import org.ow2.util.log.Log;
import org.ow2.util.log.LogFactory;

/**
 * Default Acknowledge Action.
 *
 * @author Guillaume Renault
 */
public class AcknowledgeAction extends AbstractAcknowledgeAction {

    private static final String NAME = "Acknowledge";

    /**
     * Logger.
     */
    private Log logger = LogFactory.getLog(this.getClass());

    public AcknowledgeAction() {

    }

    @Override
    public ActionResult execute(final JasmineEventNotification notification) {

        logger.debug("Notification {0} of type {1} has been acknowledged.", notification.getId(), notification.getRule());

        ActionResult result = new ActionResult();
        result.setType(this.getType());

        return result;

    }

    @Override
    public String getName() {

        return NAME;
    }

}
